{
   "manifest_version": 3,
   "name": "archematics",
   "version": "0.1",

   "description": "unearths mathematical treasures lost in the web.",

   "content_scripts": [
      {
         "matches": ["*://*/*"],
         "js": [
            "browser-polyfill.js",
            "custom-elements.min.js",
            "giveAwrl.js"
         ]
      },
      {
         "matches": ["*://*/*"],
         "js": ["browser-polyfill.js", "adapptext.js"],
         "run_at": "document_start"
      }
   ],
   "options_ui": {
      "page": "options.html",
      "browser_style": false
   },
   "web_accessible_resources": [{
      "matches": ["<all_urls>"],
      "resources": [
         "deps/x_ite/x_ite.mjs",
         "deps/x_ite/x_ite.css",
         "deps/x_ite/assets/components/Scripting.js",
         "deps/x_ite/assets/components/Text.js",
         "adapptlet.js",
         "adapptypes.js",
         "options.js",
         "deps/GeoGebra/deployggb.js",
         "deps/GeoGebra/HTML5/5.0/webSimple/8B1043D7BAFA91878F691EA2D86DCE2F.cache.js",
         "deps/GeoGebra/HTML5/5.0/webSimple/webSimple.nocache.js",
         "deps/GeoGebra/HTML5/5.0/webSimple/clear.cache.gif",
         "deps/GeoGebra/HTML5/5.0/webSimple/deferredjs/*",
         "deps/GeoGebra/HTML5/5.0/web3d/web3d.nocache.js",
         "deps/GeoGebra/HTML5/5.0/web3d/clear.cache.gif",
         "deps/GeoGebra/HTML5/5.0/web3d/FB7A4A2AC08872FB9C0A9975962F1C6C.cache.js",
         "deps/GeoGebra/HTML5/5.0/web3d/deferredjs/*",
         "deps/GeoGebra/HTML5/5.0/css/bundles/bundle.css",
         "deps/GeoGebra/HTML5/5.0/css/keyboard-styles.css",
         "deps/GeoGebra/HTML5/5.0/css/fonts.css",
         "deps/GeoGebra/HTML5/5.0/css/greek-font.css",
         "deps/GeoGebra/HTML5/5.0/css/bundles/simple-bundle.css",
         "deps/GeoGebra/HTML5/5.0/web3d/fonts/base/jlm_cmmi10.js"
      ]
   }],
   "permissions": ["storage"]
}
